/* Please see documentation at https://docs.microsoft.com/aspnet/core/client-side/bundling-and-minification
for details on configuring this project to bundle and minify static web assets. */

:root {
    --warning-color: #F89100;
    --light-color: #F2F6F8;
    --light-blue-color: #E9F7FE;
    --midgray-color: #e8e8e8;
    --gray-color: #f4f4f4;
    --gray-dark-color: #07141d;
}
.bg-info {
    background: var(--light-blue-color) !important;
}
a.bg-info:hover, a.bg-info:focus {
    background: rgb(var(--primary-color)) !important;
}
.bg-gray {
    background: var(--gray-color);
}

.bg-midgray {
    background: var(--midgray-color);
}

.bg-dark-opacity {
    background: rgba(43,43,43,.7);
}

.bg-gray-dark {
    background-color: var(--gray-dark-color);
}

a.bg-dark:hover, a.bg-dark:focus, button.bg-dark:hover, button.bg-dark:focus {
    background-color: rgb(var(--primary-color));
}

.text-lg {
    font-size: 19px;
}

.text-md {
    font-size: 18px;
}

.text-sm {
    font-size: 14px;
}

.text-xs {
    font-size: 12px;
}

.border-w-2 {
    border-width: 2px !important;
}

.border-w-3 {
    border-width: 3px !important;
}

.outline-none:not(:disabled):not(.disabled):active:focus, .outline-none:not(:disabled):not(.disabled).active:focus, .show > .outline-none.dropdown-toggle:focus, .outline-none:active, .outline-none:focus, .outline-none {
    outline: none;
}

.btn-simple {
    background: transparent;
    padding: 0;
    height: auto;
    box-shadow: none !important;
    outline: none !important;
    border: 0;
    line-height: 1.3;
}

.btn-outline-midgary {
    color: var(--midgray-color);
    border-color: var(--midgray-color);
}

    .btn-outline-midgary:hover {
        color: #fff;
        background-color: rgb(var(--primary-color));
        border-color: rgb(var(--primary-color));
    }

    .btn-outline-midgary:focus, .btn-outline-midgary.focus {
        box-shadow: 0 0 0 0.2rem rgba(142,142,147, 0.5);
    }

    .btn-outline-midgary.disabled, .btn-outline-midgary:disabled {
        color: var(--midgray-color);
        background-color: transparent;
    }

    .btn-outline-midgary:not(:disabled):not(.disabled):active, .btn-outline-midgary:not(:disabled):not(.disabled).active, .show > .btn-outline-midgary.dropdown-toggle {
        color: #fff;
        background-color: rgb(var(--primary-color));
        border-color: rgb(var(--primary-color));
    }

        .btn-outline-midgary:not(:disabled):not(.disabled):active:focus, .btn-outline-midgary:not(:disabled):not(.disabled).active:focus, .show > .btn-outline-midgary.dropdown-toggle:focus {
            box-shadow: 0 0 0 0.2rem rgba(142,142,147, 0.5);
        }

#main {
    min-height: calc(100vh - 128px);
}
/*--custom-css--*/
/*#header{
    border-bottom: 1px solid rgb(var(--primary-color));
}*/
#nav li .btn-link,
#nav li a {
    -webkit-transform: perspective(1px) translateZ(0);
    transform: perspective(1px) translateZ(0);
    overflow: hidden;
    color: #000;
}
    #nav li .btn-link,
    #nav li a:hover {
        color: rgb(var(--primary-color));
    }
        #nav li .btn-link:after,
        #nav li a:after {
            background: #14B3F0;
            content: '';
            position: absolute;
            left: 0.5rem;
            bottom: 0;
            z-index: -1;
            height: 2px;
            right: 100%;
            -webkit-transition-property: right;
            transition-property: right;
            -webkit-transition-duration: 0.3s;
            transition-duration: 0.3s;
            -webkit-transition-timing-function: ease-out;
            transition-timing-function: ease-out;
        }
        #nav li .btn-link:hover:after,
        #nav li:focus a:after, #nav li a:focus:after, #nav li a.avtive:after, #nav li.active a:after, #nav li a:hover:after, #nav li:hover a:after {
            right: 0.5rem;
        }
        #nav li .btn-link:before,
        #nav li a:before {
            right: 0;
            background: #000;
            content: '';
            top: 50%;
            height: 14px;
            position: absolute;
            width: 1px;
            transform: translateY(-50%);
        }
#nav li:last-child .btn-link:before,
#nav li:last-child a:before {
    background: transparent;
}
#nav li.contactus-btn_hol a:after {
    background: transparent;
}
#nav .navbar-toggler.collapsed {
    transform: rotate(0);
}
#nav .navbar-toggler {
    transform: rotate(-90deg);
    transition: all .25s ease-in-out;
}
.custom-list {
    padding-left: 1rem;
}

    .custom-list li {
        position: relative;
    }

        .custom-list li:after {
            background: url("data:image/svg+xml,%3Csvg fill='%23fff' xmlns='http://www.w3.org/2000/svg' viewBox='0 0 320 512'%3E%3Cpath d='M285.476 272.971L91.132 467.314c-9.373 9.373-24.569 9.373-33.941 0l-22.667-22.667c-9.357-9.357-9.375-24.522-.04-33.901L188.505 256 34.484 101.255c-9.335-9.379-9.317-24.544.04-33.901l22.667-22.667c9.373-9.373 24.569-9.373 33.941 0L285.475 239.03c9.373 9.372 9.373 24.568.001 33.941z'%3E%3C/path%3E%3C/svg%3E%0A");
            content: '';
            background-size: 8px;
            position: absolute;
            left: -14px;
            top: 10px;
            height: 13px;
            width: 8px;
        }

    .custom-list.text-white-50 li:after,
    section ul.text-white-50 li:after, section.text-white-50 ul li:after {
        opacity: 0.5;
    }

    .custom-list.icon-dark li:after,
    section ul.icon-dark li:after, section.icon-dark ul li:after {
        background: url("data:image/svg+xml,%3Csvg fill='%23151617' xmlns='http://www.w3.org/2000/svg' viewBox='0 0 320 512'%3E%3Cpath d='M285.476 272.971L91.132 467.314c-9.373 9.373-24.569 9.373-33.941 0l-22.667-22.667c-9.357-9.357-9.375-24.522-.04-33.901L188.505 256 34.484 101.255c-9.335-9.379-9.317-24.544.04-33.901l22.667-22.667c9.373-9.373 24.569-9.373 33.941 0L285.475 239.03c9.373 9.372 9.373 24.568.001 33.941z'%3E%3C/path%3E%3C/svg%3E%0A");
    }

    .custom-list.text-white-50 li:hover:after,
    .custom-list.text-white-50 li a {
        color: rgba(255, 255, 255, 0.5);
        opacity: 1;
    }

        .custom-list.text-white-50 li a:hover {
            color: var(--white);
        }
.white-space {
    white-space: normal;
    word-break: break-all;
}
/* inner-pages */
.form-error-holder {
    background: #FFD5D5;
    color: #FF0000;
    padding: 10px 30px;
}

    .form-error-holder li:after {
        background: transparent;
    }
.table .thead-dark th {
    background: transparent;
    min-width: 130px;
    color: var(--dark-color-50);
    font-weight: normal;
}
.orderdetail-table tbody tr:nth-of-type(odd),
.table-striped tbody tr:nth-of-type(odd) {
    background: #fff;
}
.orderdetail-table tbody tr:nth-of-type(even),
.table-striped tbody tr:nth-of-type(even) {
    background: #fff;
}
.table td, .table th {
    padding: 1.35rem .75rem;
}
.table tfoot {
    background: rgb(var(--primary-color));
    color: #fff;
}
table .opner-details {
    --size: 30px;
    width: var(--size);
    height: var(--size);
    display: flex;
    align-items: center;
    justify-content: center;
    color: rgb(var(--primary-color));
    border: 1px solid rgb(var(--primary-color));
}
    table .opner-details.collapsed {
        background: rgb(var(--primary-color));
        color: #fff;
    }
    table .opner-details svg {
        transform: rotate(0);
        transition: all .25s ease-in-out;
    }
    table .opner-details.collapsed svg {
        transform: rotate(-90deg);
    }
.footer {
    background: #151617;
}
    .footer a {
        color: #fff;
    }
.footer .footer-links li{
    margin: 0 9px;
}
.order-summary-detail strong{
    text-transform: capitalize;
}
.page-link {
    border: 0;
    color: #000000;
    background: transparent;
}
    .page-link:hover, .page-link:focus,
    .page-item.active .page-link {
        background-color: transparent;
        color: rgb(var(--primary-color));
        outline: none;
        box-shadow: none;
    }
.page-item:last-child .page-link,
.page-item.active .page-link {
    font-weight: 500;
}
.page-item.disabled .page-link{
    background: transparent;
}
.completed-order-summary {
    --size: 11px;
    width: var(--size);
    height: var(--size);
    border-radius: var(--size);
    background: #24B502;
    display: inline-block;
    vertical-align: middle;
}
.cancelled-order-summary {
    --size: 11px;
    width: var(--size);
    height: var(--size);
    border-radius: var(--size);
    background: #ff0000;
    display: inline-block;
    vertical-align: middle;
}
.option-dropdown.dropdown-menu {
    min-width: 107px;
}
.dropdown-menu.bg-primary .dropdown-item {
    color: #fff;
    padding: .25rem 1.5rem;
}
    .dropdown-menu.bg-primary .dropdown-item:hover {
        color: rgb(var(--dark-color));
    }
#order-table_info{display:none}
.order-table-holder #order-table_length {
    position: absolute;
    bottom: -5px;
    left: 0;
    z-index: 9;
}
.order-table-holder .row .col-sm-12.col-md-6:first-child{position: static}
.option-btn svg {
    position: absolute;
    right: 5px;
    top: 11px;
    transition: all .25s ease-in-out;
}
.dropdown.show .option-btn svg{
    transform: rotate(90deg);
}
div.dataTables_wrapper div.dataTables_length select {border: 1px solid #ced4da;}
table.dataTable {margin-bottom: 16px !important;}
@media (min-width: 991px) {
    .bg-md-transparent {
        background: transparent !important;
    }

    .border-md-0 {
        border: 0 !important;
    }

    .position-lg-static {
        position: static !important;
    }
}

@media only screen and (max-width: 1199px) {
    .banner .mobile-img-holder .box {
        left: -4%;
    }
}

@media only screen and (max-width: 991px) {

    .logo-holder {
        z-index: 9;
    }
    header.fixed-top {
        box-shadow: 0 .125rem .25rem rgba(0,0,0,.075);
        z-index: 9;
    }
    #nav li .btn-link:before,
    #nav li a:before {
        background: transparent;
    }
}

@media only screen and (max-width: 767px) {
    .modal-dialog {
        max-width: 100%;
        margin: 0;
    }

    .modal-content {
        border-radius: 0;
        border: none;
        min-height: 100vh;
    }
    .order-table-holder #order-table_length{
        position: static;
    }
}

@media only screen and (max-width: 575px) {
    #nav {
        padding: 0 !important;
    }

    h1, .h1 {
        font-size: 2rem;
    }

    h2, .h2 {
        font-size: 1.7rem;
    }

    .custom-list li:after {
        top: 8px;
    }
}
